<div *ngIf="!loading">

  <kendo-grid [kendoGridBinding]="dataGrid"
              [selectable]="true"
              [resizable]="true"
              [navigable]="true"
              [pageSize]="pageSize"
              [sortable]="true"
              filterable="menu"
              [skip]="skip"
              [pageable]="{buttonCount: 5,
                           pageSizes: [10, 25, 50]}"
              (pageChange)="pageChange($event)"
              [height]="410"
              [selectable]="true"
              (selectionChange)="selectRow($event)"
              (dblclick)="emitData()">
    <ng-container *ngIf="dataGrid.length !== 0">

      <kendo-grid-column field="Origen" title="Origen" width="100">
        <ng-template kendoGridFilterMenuTemplate
                     let-column="column"
                     let-filter="filter"
                     let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true"
                             [field]="column.field"
                             [filterService]="filterService"
                             [currentFilter]="filter"
                             [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="odesc" title="Descripción" width="150">
        <ng-template kendoGridFilterMenuTemplate
                     let-column="column"
                     let-filter="filter"
                     let-filterService="filterService">
          <multicheck-filter [isPrimitive]="true"
                             [field]="column.field"
                             [filterService]="filterService"
                             [currentFilter]="filter"
                             [data]="distinctPrimitive(column.field)">
          </multicheck-filter>
        </ng-template>
      </kendo-grid-column>

    </ng-container>
    <ng-template kendoGridNoRecordsTemplate>
      {{ noRecords }}
    </ng-template>
  </kendo-grid>

</div>

<app-loading *ngIf="loading"></app-loading>